<div>
    <h2 id="page-heading">
        <span jhiTranslate="winpharmApp.stock.home.title">Stocks</span>
        <button *jhiHasAnyAuthority="'ROLE_ADMIN'" id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-stock" [routerLink]="['/stock/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="winpharmApp.stock.home.createLabel">
            Create a new Stock
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="alert alert-warning" *ngIf="stocks?.length === 0">
        <span jhiTranslate="winpharmApp.stock.home.notFound">No stocks found</span>
    </div>
    <div class="table-responsive" *ngIf="stocks?.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="couvertureMin"><span jhiTranslate="winpharmApp.stock.couvertureMin">Couverture Min</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="couvertureMax"><span jhiTranslate="winpharmApp.stock.couvertureMax">Couverture Max</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="quantite"><span jhiTranslate="winpharmApp.stock.quantite">Quantite</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="datePeremption"><span jhiTranslate="winpharmApp.stock.datePeremption">Date Peremption</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="prixAchat"><span jhiTranslate="winpharmApp.stock.prixAchat">Prix Achat</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="prixVente"><span jhiTranslate="winpharmApp.stock.prixVente">Prix Vente</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let stock of stocks ;trackBy: trackId">
                <td><a [routerLink]="['/stock', stock.id, 'view' ]">{{stock.id}}</a></td>
                <td>{{stock.couvertureMin}}</td>
                <td>{{stock.couvertureMax}}</td>
                <td>{{stock.quantite}}</td>
                <td>{{stock.datePeremption | date:'mediumDate'}}</td>
                <td>{{stock.prixAchat}}</td>
                <td>{{stock.prixVente}}</td>
                <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/stock', stock.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/stock', stock.id, 'edit']"
                                class="btn btn-primary btn-sm"
                                *jhiHasAnyAuthority="'ROLE_ADMIN'">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/stock', { outlets: { popup: stock.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm"
                                *jhiHasAnyAuthority="'ROLE_ADMIN'">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div [hidden]="stocks?.length === 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
